@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

.showcase {
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100vh;
    padding: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #111;
    color: #fff;
    z-index: 2;
    transition: 0.5s;
}

.showcase.active {
    right: 300px;

}

.showcase header{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 40px 100px;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo{
    text-transform: lowercase;
    cursor: pointer;
}

.toggle{
    position: relative;
    width: 60px;
    height: 60px;
    background: url('icons/menu.png');
    background-repeat: no-repeat;
    background-size: 30px;
    background-position: center;
    cursor: pointer;
}

.toggle.active {
    background: url('icons/close.png');
    background-repeat: no-repeat;
    background-size: 25px;
    background-position: center;
}

.showcase video{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;
}

.overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #6e6969;
    mix-blend-mode: overlay;

}

.text{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding-top: 20px;
    background-color: #fff;
    max-width: 100%;
    max-height: 100%;
    width: 800px;
    z-index: 10;
    opacity: 0.7;
    border-radius: 20px;
}

.text h2{
    font-size: 5vw;
    font-weight: 800;
    line-height: 1em;
    text-transform: uppercase;
    margin-bottom: 10px;
    color: #262424;
    text-align: center;
}

.text h3{
    font-size: 3vw;
    font-weight: 700;
    line-height: 1em;
    text-transform: none;
}

.text p{
    font-size: 1.5vw;
    padding-top: 10px;
    font-weight: 800;
    width: 100%;
    max-width: 100%;
    color: #201e1e;
    text-align: center;
}

.text a{
    display: inline-block;
    font-size: 1em;
    background: #232222;
    padding: 10px 30px;
    text-decoration: none;
    color: #ffffff;
    margin-top: 20px;
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: 2px;
    transition: 0.2s;
    border-radius: 10px;
}

.text a:hover{
    letter-spacing: 6px;
}

.text textarea{
    margin-top: 10px;
    margin-bottom: 0px;
    padding: 10px 0px;
    width: 90%;
    height: 200px;
    border-radius: 10px;
    font-size: 100%;
}

.social{
    position: absolute;
    bottom: 20px;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
}

.social li{
    list-style: none;
}

.social li a{
    display: inline-block;
    filter: invert(1);
    margin-right: 1px;
    transform: scale(0.5);
    transition: 0.5s;
}

.social li a:hover{
    transform: scale(0.55) translateY(-5px);
}

.menu{
    position: absolute;
    top: 0;
    right: 0;
    width: 300px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu ul{
    list-style: none;
    position: relative;
}

.menu ul li a{
    text-decoration: none;
    font-size: 24px;
    font-weight: 500;
    color: #111;
}

.menu ul li a:hover{
    color: #03a9f4;
}

.menu .active{
    color: #03a9f4;
}

@media(max-width: 800px) {
    .showcase, .showcase header{
        padding: 40px;
    }
    .text {
        margin: 0px 5px;
    }
    .text h2{
        font-size: 5vw;
    }
    .text h3{
        font-size: 4vw;
    }
    .text p{
        font-size: 3vw;
    }
}